dpt-uscan(1)

NAME
dpt-uscan - a tiny wrapper around "uscan" and "gbp import-orig"

SYNOPSIS
dpt uscan

DESCRIPTION
dpt uscan calls uscan(1) and then gbp import-orig if a newer upstream version was downloaded.

It is similar to dpt-import-orig(1), but without the upstream repository integration.

Running dpt uscan is equivalent to

 uscan
 gbp import-orig I<upstream-tarball>

with the location of the newly downloaded tarball detected from uscan's --dehs output, and therefore is not hardcoded to ../, but depending on uscan's configuration.

SEE ALSO
dpt-import-orig(1), uscan(1), devscripts.conf(5), gbp-import-orig(1)

COPYRIGHT & LICENSE

Copyright 2017 Damyan Ivanov dam@debian.org

This program is free software, licensed under the same term as perl.